/****************************************************************
 * Defines.h : Misc Definitions
 *
 * (c) 1995-1997 Yutaka Oiwa.
 *
 * $Id: Defines.h,v 1.7 1998/02/15 15:42:50 yutaka Exp $
 ****************************************************************/

#ifndef _DEFINES_H
#define _DEFINES_H

#if defined(sun) && !defined(__svr4__)
#include "sunos4_compatibility.h"
#endif

/*** Configulation ***/
//#define DEBUG
//#define NO_ASYNC_CONNECT     // Disables asynchronous connection
#define OLD_COMPAT             // Accepts italkpipe as server

#ifdef DEBUG
#include <stdio.h>
#define dprintf printf
#define dperror perror
#else
inline void dprintf(char *, ...){}
inline void dperror(char *){}
#endif

char *NewString(const char *); // definition found in xitalkbiff.cc

#undef max
inline int max(int x, int y) { return (x > y) ? x : y; }

#endif

